#!/bin/bash
#
# Build the Booke. Move subfiles into place and build the Booke into a PDF.
#
# The Booke tune content and all EPS and PDF tune graphics must be
# present already. Run makeGraphics.sh first and then
# makeBookeTunePages.sh.
#

if [ $# != 2 ]; then
    echo "Usage: makeBooke.sh <book dir name> <A4|A5>"
    exit 1
fi

dir=`pwd`

booke=$dir/$1
papersize=$2
builddir=$dir/build
graphicsdir=$dir/graphics/$1
booketex=$dir/dottes.tex
bookepdf=$builddir/dottes.pdf

mkdir -p $builddir

cp dottes.tex $builddir
cp buildno.txt $builddir
cp buzzard.eps $builddir
for item in title subtitle intro instrument
do
    rm -f $builddir/$item.txt
    if [ -r $booke/$item.txt ]; then
        cp $booke/$item.txt $builddir
    else
        touch $builddir/$item.txt
    fi
done

for filename in $dir/*.${papersize}.tex
do
    name=`basename $filename .${papersize}.tex`
    cp $filename $builddir/$name.tex
done

cd $builddir

xelatex $booketex
xelatex $booketex
xelatex $booketex

mv $bookepdf $dir/$1-${papersize}.pdf

cd $dir
